Bug 1012385 - Provide a way to configure Custom policies in SwitchYard editor
Provide a way to configure Custom policies in SwitchYard editor
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brian Fitzpatrick
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 07:39 EDT by Stefan Bunciak
Modified: 2015-11-02 03:05 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2293 Major Open Provide a way to configure Custom policies in SwitchYard editor 2015-08-04 09:17:26 EDT

  None (edit)
Description Stefan Bunciak 2013-09-26 07:39:56 EDT
Description of problem:

There is no way how users can configure custom policies in SwitchYard editor (Design mode). They need to open switchyard.xml in text editor and specify them manually. 

Once users implement new custom policy, they should be able to assign them to either component service or component implementation bean. SwitchYard editor contains ability to configure transaction and security policies atm. so we could add new tab 'Custom policies' where user can specify which custom policy to use (editor would need to detect classes which are implementing Policy interface).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Rob Cernich 2014-08-25 18:23:05 EDT
Hey Brian,

Please create a JIRA for this, mark it as an enhancement and place it in the 2.0_proposed bucket (for the time being).

Thanks,
Rob
Comment 3 Brian Fitzpatrick 2014-08-27 10:24:33 EDT
Created https://issues.jboss.org/browse/SWITCHYARD-2293
Comment 4 Aileen 2015-03-04 09:27:50 EST
This won't make 6.2 release.
Comment 5 Len DiMaggio 2015-03-09 11:30:56 EDT
Nacking for this release as it will not be in SwitchYard - can be addressed later.

Note You need to log in before you can comment on or make changes to this bug.